#<profile4xi profile = "11" /> 
# -------------------------------------------------------------------------------------------------
#<program4xi program = "fire1500seven4xi .py">
#<abstract4xi abstract = "fires to direction seven and to distance 1500"/>
#<verify4xi verification = "11" target = "verb4xi.py"/>
#<refer4xi reference = "verb4xi.py"/>
#<state4xi status = "ACK4tagging; ACK4moduletesting; NACK4systemtesting; [Rel 7.21]"/>
# -------------------------------------------------------------------------------------------------

# -------------------------------------------------------------------------------------------------
# Public API
# -------------------------------------------------------------------------------------------------
#<interface4xi interface = " 
__all__ = [ 'fire1500seven4xi ']
#"
#/>


# -------------------------------------------------------------------------------------------------
# Standard Imports                          
# -------------------------------------------------------------------------------------------------
#<standardize4xi standard = "
import os
import sys
import threading                
import _thread
import _winapi
   

import signal
import itertools
import weakref
import logging 

from math import pi
from math import sin
from math import cos 
from math import fabs
#"
#/>

# -------------------------------------------------------------------------------------------------
# DragonXi imports                              
# -------------------------------------------------------------------------------------------------
#<dragonize4xi dragonization = "


from time4xi import time4xi

#"
#/>
       
       
# -------------------------------------------------------------------------------------------------
# SHOT2SEVEN - COORDINATE SIGNS OF SHOOT2SEVEN4XI: (X - ,Y - ,Z + )
# -------------------------------------------------------------------------------------------------    
global shot2seven15004xi


#"
#/>

# -------------------------------------------------------------------------------------------------
# Settings
# -------------------------------------------------------------------------------------------------
#<set4xi setting = "
ack2debug = False
shot2seven15004xi = {
                1:'-1003x-660y898z',
                2:'-1017x-1100y63z',
                3:'-1023x-921y594z',
                4:'-1028x-602y910z',
                5:'-1050x-543y922z',
                6:'-1065x-863y607z',
                7:'-1069x-483y934z',
                8:'-1072x-1045y78z',
                9:'-1084x-423y945z',
                10:'-1096x-363y957z',
                11:'-1104x-302y969z',
                12:'-1104x-802y621z',
                13:'-1109x-242y980z',
                14:'-1125x-987y93z',
                15:'-1139x-740y635z',
                16:'-1171x-676y648z',
                17:'-1174x-926y108z',
                18:'-1199x-611y662z',
                19:'-1220x-862y123z',
                20:'-1223x-544y675z',
                21:'-1243x-477y688z',
                22:'-1260x-409y702z',
                23:'-1263x-797y138z',
                24:'-1273x-341y715z',
                25:'-1282x-272y728z',
                26:'-1287x-203y741z',
                27:'-1289x-135y754z',
                28:'-1301x-729y153z',
                29:'-131x-1329y682z',
                30:'-1336x-659y168z',
                31:'-1367x-587y183z',
                32:'-136x-730y1302z',
                33:'-1394x-514y197z',
                34:'-13x-14y1499z',
                35:'-1417x-440y212z',
                36:'-1436x-365y227z',
                37:'-14x-214y1484z',
                38:'-151x-1438y396z',
                39:'-171x-709y1310z',
                40:'-200x-1313y695z',
                41:'-204x-687y1317z',
                42:'-21x-781y1280z',
                43:'-225x-1424y410z',
                44:'-22x-27y1499z',
                45:'-235x-663y1324z',
                46:'-23x-198y1486z',
                47:'-265x-637y1331z',
                48:'-267x-1294y709z',
                49:'-292x-610y1338z',
                50:'-299x-1407y424z',
                51:'-30x-40y1499z',
                52:'-317x-583y1345z',
                53:'-31x-182y1488z',
                54:'-332x-1271y722z',
                55:'-340x-554y1351z',
                56:'-361x-524y1358z',
                57:'-36x-54y1498z',
                58:'-371x-1385y439z',
                59:'-379x-493y1364z',
                60:'-37x-165y1490z',
                61:'-396x-1245y735z',
                62:'-396x-462y1370z',
                63:'-3x-229y1482z',
                64:'-3x-3y1499z',
                65:'-410x-431y1376z',
                66:'-419x-77y1438z',
                67:'-41x-68y1497z',
                68:'-422x-400y1382z',
                69:'-428x-102y1433z',
                70:'-42x-149y1491z',
                71:'-432x-368y1388z',
                72:'-436x-128y1429z',
                73:'-440x-336y1393z',
                74:'-441x-1359y453z',
                75:'-442x-156y1424z',
                76:'-445x-305y1399z',
                77:'-447x-184y1419z',
                78:'-449x-213y1414z',
                79:'-449x-274y1404z',
                80:'-44x-84y1496z',
                81:'-450x-243y1409z',
                82:'-458x-1216y748z',
                83:'-45x-132y1493z',
                84:'-46x-100y1495z',
                85:'-46x-116y1494z',
                86:'-510x-1330y467z',
                87:'-518x-1183y761z',
                88:'-573x-483y1299z',
                89:'-576x-1148y774z',
                90:'-577x-1297y482z',
                91:'-587x-444y1306z',
                92:'-593x-556y1377z',
                93:'-599x-406y1313z',
                94:'-608x-367y1320z',
                95:'-614x-328y1328z',
                96:'-619x-290y1334z',
                97:'-61x-766y1287z',
                98:'-621x-252y1341z',
                99:'-62x-1341y669z',
                100:'-631x-1109y787z',
                101:'-642x-1261y496z',
                102:'-684x-1068y799z',
                103:'-705x-1221y510z',
                104:'-735x-1024y812z',
                105:'-75x-1448y381z',
                106:'-765x-1178y524z',
                107:'-766x-1289y3z',
                108:'-782x-978y824z',
                109:'-822x-1132y538z',
                110:'-827x-929y837z',
                111:'-833x-1247y18z',
                112:'-868x-879y849z',
                113:'-877x-1083y552z',
                114:'-897x-1201y33z',
                115:'-907x-826y862z',
                116:'-929x-1032y566z',
                117:'-942x-772y874z',
                118:'-958x-1152y48z',
                119:'-974x-716y886z',
                120:'-978x-978y580z',
                121:'-99x-749y1295z',
                122:'0x-1454y367z'}         
#"
#/>


# -------------------------------------------------------------------------------------------------
#<function4xi function = "fire1500seven4xi " usage = "target function for charge2seven4xi with Process4Xi">
#<state4xi status = "ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------
def fire1500seven4xi (queue2seven, consumer_channel2seven, publisher_channel2seven):
    '''
    returns (x,y,z) coordinates via queue
    '''
    
    # -------------------------------------------------------------------------------------------------
    # PARAMETERS                   
    # -------------------------------------------------------------------------------------------------                                                               
    
    time2start = time4xi()
    if ack2debug is True:
        print("\n (STEP 1A1/33) OF FIRE1500SEVEN4XI - STARTED TIME: ", time2start)
        #  
        
        print("\n (STEP 1A2/33) OF FIRE1500SEVEN4XI -  QUEUE2SEVEN: ", queue2seven)      
        # 
        
        print("\n (STEP 1A3/33) OF FIRE1500SEVEN4XI -  CONSUMER_CHANNEL2SEVEN: ", consumer_channel2seven)
        # 
              
        print("\n (STEP 1A4/33) OF FIRE1500SEVEN4XI -  PUBLISHER_CHANNEL2SEVEN: ", publisher_channel2seven)          
        # 
        


    # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    # QUEUE RETURNING
    # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    ack2put = False
    if ack2debug is True:
        print("\n (STEP 2A/33) OF FIRE1500SEVEN4XI - TRYING TO RETURN BY PUTTING COORDINATE DICTIONARY TO QUEUE2SEVEN: ", queue2seven, " - TIME: ", time4xi()) 
        # 
         
    try:
        # ------------------------------------------------------------------------------------- 
        # PUT SHOT TO QUEUE 
        # -------------------------------------------------------------------------------------                 
        queue2seven.put(shot2seven15004xi) 
        if ack2debug is True:
            print("\n (STEP 2B/33) OF FIRE1500SEVEN4XI - SUCCEEDED TO PUT COORDINATE DICTIONARY TO QUEUE2SEVEN: ", queue2seven, " - TIME: ", time4xi()) 
            # 
             
        ack2put = True
    except:
        print("\n (STEP 2C/33) OF FIRE1500SEVEN4XI *** FAILED TO PUT COORDINATE DICTIONARY TO QUEUE2SEVEN: ", queue2seven, " - TIME: ", time4xi()) 
    
    if ack2debug is True:
        print("\n (STEP 3A/33) OF FIRE1500SEVEN4XI - TRYING TO INFORM PUT OPERATIONS VIA PIPE'S PUBLISHER_CHANNEL2SEVEN: ", publisher_channel2seven, " - TIME: ", time4xi())
        # 
         
    try:                
        # ---------------------------------------------------------------------------------------------
        # INFORM PUT OPERATIONS VIA PIPE'S PUBLISHER CHANNEL 
        # ---------------------------------------------------------------------------------------------
        if ack2put is True:
            message2send4one = "<ack2put4xi>queue2seven8shot2seven15004xi </ack2put4xi>"
        else:
            message2send4one = "<nack2put4xi>queue2seven8shot2seven15004xi </nack2put4xi>" 
            
        publisher_channel2seven.send(message2send4one)
        if ack2debug is True:    
            print(" (STEP 3B/33) OF FIRE1500SEVEN4XI -  SENT MESSAGE2SEND4ONE: ", message2send4one, " TO PUBLISHER_CHANNEL2SEVEN: ", publisher_channel2seven, " - TIME: ", time4xi()) 
            #  
        
    except:
        print(" (STEP 3C/33) OF FIRE1500SEVEN4XI *** FAILED TO SEND MESSAGE2SEND4ONE: ", message2send4one, " TO PUBLISHER_CHANNEL2SEVEN: ", publisher_channel2seven, " - TIME: ", time4xi()) 
    
    if ack2debug is True:        
        print("\n (STEP 3D/33) OF FIRE1500SEVEN4XI - RETURNING QUEUE OBJECT QUEUE2SEVEN: ", queue2seven, " - TIME: ", time4xi())  
        # 
            
    return queue2seven    
        
           
#</function4xi>


#</program4xi>
# -------------------------------------------------------------------------------------------------
# Recorded History                             
# ------------------------------------------------------------------------------------------------- 
#<record4xi record = "
#   test_verb4xi.txt
#   sense-test-verb4xi.xml
#   reason-test-verb4xi.xml
#   ace-test-verb4xi.xml
#"
#>



# -------------------------------------------------------------------------------------------------
# Legal Notice                             
# ------------------------------------------------------------------------------------------------- 
#<protect4xi protection = "copyright"
#   owner = "Small & Smart"
#   rights = "All rights reserved"
#   state = "California"
#   country = "United States of America"
#   references = "Legal notice at www.dragonxi.com; www.yourdragonxi.com; www.yourdragonxi.org; www.dragon2xi.com/; www.dragon4xi.com/; www.dragon8xi.com/ " 
#   codes = "Codes established in California and applicable to corporations in California"
#   compliance = "The California Law"
#   court = "Supreme Court of California, 350 McAllister Street, San Francisco, CA 94102-4783"
#/>
 

#<end4xi end = "
# -------------------------------------------------------------------------------------------------
# end of fire1500seven4xi .py                             
# ------------------------------------------------------------------------------------------------- 
#"
#/>

       